html, body {height: 100%;}

#wrap {min-height: 100%;}

#main {overflow:auto;
    padding-bottom: 30px;}  /* must be same height as the footer */

#footer {position: relative;
    margin-top: -30px; /* negative value of footer height */
    height: 30px;
    border-top: 1px solid #CECECE;
    background: #306B9B;
    clear:both;
    padding: 5px 13px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

/*Opera Fix*/
body:before {
    content:"";
    height:100%;
    float:left;
    width:0;
    margin-top:-32767px;/
}